package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVO;
import com.zanxiang.erp.security.annotation.PreAuthorize;
import com.zanxiang.manage.domain.params.PayMerchantListParam;
import com.zanxiang.manage.domain.vo.PayMerchantListVO;
import com.zanxiang.manage.service.IPayMerchantService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 游戏支付商户配置表 前端控制器
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
@Api(tags = "商户号管理")
@RestController
@RequestMapping("/pay/merchant")
public class PayMerchantController {

    @Autowired
    private IPayMerchantService payMerchantService;

    @ApiOperation(value = "商户列表查询")
    @PostMapping(value = "/list")
    @PreAuthorize(permissionKey = "manage:payMerchant:list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = PayMerchantListVO.class)})
    public ResultVO<IPage<PayMerchantListVO>> list(@Validated @RequestBody PayMerchantListParam param) {
        return new ResultVO<>(payMerchantService.pageList(param));
    }
}
